Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.xml
Class ProcessingInstructionInfo

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.xml.ProcessingInstructionInfo

    public class ProcessingInstructionInfo

extends java.lang.Object

A little class so we can treat processing instruction information as a structure

Field Summary
`java.lang.String` | `data`
`java.lang.String` | `target`

Constructor Summary
`ProcessingInstructionInfo()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### target

    public java.lang.String target

### data

    public java.lang.String data

Constructor Detail

### ProcessingInstructionInfo

    public ProcessingInstructionInfo()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD